<< gph_prox | gph | miscellaneous >>

CCA (Computational Convex Analysis) >> gph > gph_scalar

# gph_scalar

Graph-matrix calculus (GPH), Function scalar multiplication

### Calling Sequence

    gph2 = gph_scalar(gph1, lambda)

### Parameters

gph1

  matrix. A function in GPH matrix form.

lambda

  constant. Nonnegative scalar to multiply by.

gph2

  matrix. The function gph1 scaled by lambda.

### Description

Multiplies the function gph1 by the given nonnegative scalar, lambda, and returns the new function as a GPH matrix.

### Examples

    gph1 = [-1,  0, 0, 1, 2; ..
            -1, -1, 0, 0, 2; ..
             1,  0, 0, 0, 1];
    gph2 = gph_scalar(gph1, 0.25);
    scf(); gph_plot(gph1, gph2);

### See Also

- gph_function

### Authors

`Bryan Gardiner`, University of British Columbia, BC, Canada

<< gph_prox | gph | miscellaneous >>